Frysk logo Home  |  Use Cases  |  Work Flows  |  FAQ  |  Get Involved  |  Bugzilla  |  Build  |  Blog  |  Documentation
triangle
 

Build and Test frysk on Fedora

This page provides guidelines for building frysk on older Fedora systems.

Fedora 9
You will need to install the following:
sudo yum install -y \
    antlr jdom junit gcc-java gcc-c++ \
    libglade-java-devel libvte-java-devel \
    automake xmlto transfig eclipse-ecj dogtail \
    sharutils git audit-libs-devel binutils-devel \
    yelp libtool make rpm-build
Fedora 8
You will need to install the following:
sudo yum install -y \
    antlr jdom junit gcc-java gcc-c++ \
    libglade-java-devel libvte-java-devel \
    automake xmlto transfig eclipse-ecj dogtail \
    sharutils git audit-libs-devel binutils-devel \
    yelp libtool make

In addition, you may need to force a re-install of java-1.5.0-gcj. See Fedora Bug 377341 for details.
Fedora 7
Fedora Core 6
You will need to install the following:
sudo yum install -y \
    antlr jdom junit gcc-java gcc-c++ \
    libglade-java-devel libvte-java-devel \
    automake xmlto transfig eclipse-ecj dogtail \
    sharutils git audit-libs-devel binutils-devel \
    yelp libtool make

For additional updates, check the Fedora 7, Fedora Core 6 tracker bug.